<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>פגישה 7 - תנאים (אם....אז....אחרת!)</title>
 
  <meta http-equiv="content-type"
 content="text/html; charset=UTF-8">
 
  <link href="lec.css" rel="stylesheet" type="text/css">
<link rel="contents" href="index.html"><link rel="top" href="index.html"><link rel="start" href="node1.html"><link rel="first" href="node1.html"><link rel="next" href="node7.html#h"><link rel="prev" href="node5.html#h">
</head>
<body>
  
גרסה 1.1
<h1>פגישה 7 - תנאים (אם....אז...אחרת!)</h1>
  <div class="nav" dir="ltr" align="right"><A HREF="index.html" NAME="h">[Top]</A> <A HREF="node1.html#h">[First]</A> <A HREF="node5.html#h">[Previous]</A> <A HREF="node7.html#h">[Next]</A></div><h3><a name="raw_input"></a>כלי קטן - קריאה מהמקלדת</h3>
     
<ul>
     <li>אחד הכלים הדרושים כדי לתקשר עם המשתמש, הוא היכולת לקבל ממנו נתונים.</li>
     <li>בפייתון, משתמשים בפונקציה raw_input כדי לקרוא קלט:
    <div dir=ltr><pre>
     num_string = raw_input("give me a number: ")
    </pre></div>
      (הצג למשתמש את ההודעה ":give me a number", וקלוט ממנו נתון. המשתמש
       יקליד מספר או מחרוזת, וילחץ על מקש ה-ENTER להמשך).
     </li>
     <li>פונקציית raw_input מחזירה מחרוזת. כדי שנוכל לבצע חישובים על המחרוזת,
         יש לתרגמה למספר על-ידי הפונקציה int:
    <div dir=ltr><pre>
     num_string = raw_input("give me a number: ")
     num = int(num_string)
    </pre></div>
      (כמו מקודם - אבל הפעם תרגם את הקלט למספר).
     </li>

</ul>

                   
<address><a href="http://validator.w3.org/check/referer"><img
 src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 height="31" width="88">
 </a>נכתב על ידי <a href="mailto:choo@actcom.co.il">גיא קרן</a><br>
          </address>
                   
</body>
</html>
